#version 330 core

#define float2 vec2
#define float3 vec3
#define float4 vec4
in float2 texCoord;
in float4 vertexFragColor;
out float4 fragColor;
uniform sampler2D texture0;

void main()
{
   vec2 xy=texCoord;
   float blursize=50;
   float range=floor(blursize/2.);
    vec4 color=vec4(0.);
    
    for(float a=-range;a<=range;++a)
    for(float b=-range;b<=range;++b)
      color+=texture(texture0,xy+vec2(a*.0025,b*.0025));
     
	 color=color/pow(blursize,1.4);
      vec4 color2=texture(texture0,xy);
	 
	  fragColor=(.5*color2+.5*color);  

}

